cURL
curl --request PATCH \ --url https://api.yiksipay.com/v1/wallets/{walletId}/assets/{assetId} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "isActive": false } '
{ "data": { "asset": { "address": "0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238", "createdAt": "2024-05-14T14:53:33.682Z", "decimals": 6, "id": "fe04a28c-c615-4e41-8eda-f84c862864f5", "isActive": true, "name": "USDC Coin", "network": "testnet", "symbol": "USDC", "updatedAt": "2024-05-27T12:24:11.951Z" }, "createdAt": "2024-05-26T08:11:43.129Z", "id": "c4c26507-207b-4070-b968-31171881c227", "isActive": false, "updatedAt": "2024-06-06T09:38:56.015Z" }, "message": "Asset updated successfully", "statusCode": 200 }
This endpoint allows the client to update the status of a specific asset within a wallet.
"YOUR_WALLET_ID"
"WALLET_ASSET_ID"
false
200
Show child attributes
"Asset updated successfully"